# 计算机视觉与模式识别实验

本项目包含广州大学计算机视觉与模式识别课程的三个实验，涵盖了图像处理的基础知识和常用技术，使用python+opencv实现。

## 实验内容

### 实验1：图像灰度处理与直方图均衡化
- 图像灰度量化
- 灰度范围调整
- 直方图均衡化
- RGB和HSV色彩空间处理

### 实验2：形态学图像处理
- 图像膨胀操作
- 图像侵蚀操作
- 图像细化（骨架提取）

### 实验3：图像噪声处理与滤波
- 椒盐噪声、高斯噪声、指数噪声的添加
- 均值滤波、中值滤波、高斯滤波的实现和比较
- 手动实现中值滤波算法

## 文件结构
```
.
├── 1-5.ipynb          # 实验1代码
├── 2-5.ipynb          # 实验2代码
├── 3-3.ipynb          # 实验3代码
├── 2-5-4/             # 实验2测试图像
│   ├── img1.png
│   ├── img2.png
│   ├── img3.png
│   ├── img4.png
│   ├── img5.png
│   └── img6.png
├── circbw.tif         # 测试图像
├── DJI_0049.JPG       # 测试图像
├── Lena.bmp           # 测试图像
├── pout.tif           # 测试图像
├── rice.png           # 测试图像
├── text.png           # 测试图像
└── tire.tif           # 测试图像
```

## 运行环境
- Python 3.7+
- 主要依赖库：
  - NumPy
  - Matplotlib
  - OpenCV
  - scikit-image
  - SciPy

## 使用说明
1. 安装依赖库：
```bash
pip install numpy matplotlib opencv-python scikit-image scipy
```

2. 运行实验代码：
- 使用Jupyter Notebook打开对应的.ipynb文件
- 按顺序执行代码单元格
- 观察图像处理结果和可视化效果

## 参考
- 实验内容基于广州大学计算机视觉与模式识别课程
- 代码实现参考OpenCV和scikit-image官方文档
